#!./haserl
Content-Type: text/html

<?
./header.sh
?>

<h3>Please wait, creating spreadsheet...</h3>

<?
if [ -f "./data/traffic.slk" ]; then
  rm ./data/traffic.slk 2> /dev/null
fi
  
echo "ID;PSCALC3" > ./data/traffic.slk
echo "C;X2;Y1;K\"Download\"" >> ./data/traffic.slk
echo "C;X3;Y1;K\"Upload\"" >> ./data/traffic.slk
  
listdays=$(find /tmp/bwlog/data -name [0-9]*|sort)
  
counter="2"
  
for daylog in $listdays
do
  daydw=$(sed -n '1,1p' $daylog)
  dayup=$(sed -n '2,2p' $daylog)
  daylog=$(basename $daylog)
              
  echo "C;X1;Y$counter;K$daylog" >> ./data/traffic.slk
  echo "C;X2;Y$counter;K$daydw" >> ./data/traffic.slk
  echo "C;X3;Y$counter;K$dayup" >> ./data/traffic.slk
                          
  let "counter+=1"
done
                              
echo "E" >> ./data/traffic.slk
?>
                              
<h3>Spreadsheet successfully created!</h3>
<p>You can download the spreadsheet in Sylk format at
<?
echo "<a href=\"http://$HTTP_HOST/data/traffic.slk\">http://$HTTP_HOST/data/traffic.slk</a>"
?>
</p><p>This format can be read by almost all spreadsheet applications
like Openoffice Calc, Microsoft Excel, Mesa, MarinerCalc, Gnumeric, KSpread...
Most of these applications are even able to directly open
the spreadsheet from the abovementioned URL.</p> 
<p>

<?
./footer.sh
?>
